summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorRobby Russell <robby@planetargon.com>2012-06-13 13:17:24 -0700
committerRobby Russell <robby@planetargon.com>2012-06-13 13:17:24 -0700
commit7d9ae4cdb1af014422df83312ee200c9b7923348 (patch)
tree62554288bfdbc7815d82a1133b7f9c5ea8345a4d /tools
parentd297524bf58d8d91fcd69b523c28d6f610b900d5 (diff)
parent12e181c6f6167adabb688f63418037c8c1949335 (diff)
downloadzsh-7d9ae4cdb1af014422df83312ee200c9b7923348.tar.gz
zsh-7d9ae4cdb1af014422df83312ee200c9b7923348.tar.bz2
zsh-7d9ae4cdb1af014422df83312ee200c9b7923348.zip
Merge pull request #1055 from daniellockard/patch-1
Added an if-statement to see if git is installed
Diffstat (limited to 'tools')
-rwxr-xr-xtools/install.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/tools/install.sh b/tools/install.sh
index aedb706da..8ca427d2c 100755
--- a/tools/install.sh
+++ b/tools/install.sh
@@ -5,7 +5,13 @@ then
fi
echo "\033[0;34mCloning Oh My Zsh...\033[0m"
-/usr/bin/env git clone https://github.com/robbyrussell/oh-my-zsh.git ~/.oh-my-zsh
+which git > /dev/null
+if [[ $? -eq 0 ]]; then
+ /usr/bin/env git clone https://github.com/robbyrussell/oh-my-zsh.git ~/.oh-my-zsh
+else
+ echo "git not installed"
+ exit
+fi
echo "\033[0;34mLooking for an existing zsh config...\033[0m"
if [ -f ~/.zshrc ] || [ -h ~/.zshrc ]